%define upstream_name    Gtk2-SourceView2
%define upstream_version 0.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 16

Summary:    Perl module for the gtksourceview library
License:    GPL+ or Artistic
Group:      Development/GNOME and GTK+
Url:        http://gtk2-perl.sf.net/
Source0:    %{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: gtk+2-devel
BuildRequires: libgnomeprintui2-2-devel
BuildRequires: libgtksourceview-2.0-devel >= 0.7 
BuildRequires: perl-ExtUtils-Depends 
BuildRequires: perl-ExtUtils-PkgConfig
BuildRequires: perl-Glib > 1.00
BuildRequires: perl-Gtk2 > 1.00
BuildRequires: perl-devel

# for data files:
Requires: gtksourceview
Requires: gtk+2

%{?perl_default_filter}


%description
This module provides perl access to the libgtksourceview library, a library
that adds syntax highlighting, line numbers, and other programming-editor
features.
GtkSourceView specializes these features for a code editor.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor
%make

%install
%makeinstall_std

%files
%doc examples META.yml
%{_mandir}/*/*
%{perl_vendorarch}/Gtk2/*
%{perl_vendorarch}/auto/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.100.0-16.mga6
+ Revision: 1028112
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.100.0-15.mga6
+ Revision: 962015
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.100.0-14.mga6
+ Revision: 843387
- Rebuild for perl 5.22

* Sat Oct 18 2014 umeabot <umeabot> 0.100.0-13.mga5
+ Revision: 788097
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.100.0-12.mga5
+ Revision: 743727
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.100.0-11.mga5
+ Revision: 732233
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.100.0-10.mga5
+ Revision: 684914
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.100.0-9.mga5
+ Revision: 632452
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.100.0-8.mga4
+ Revision: 524131
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.100.0-7.mga4
+ Revision: 367925
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.100.0-6.mga3
+ Revision: 250745
- rebuild for perl 5.16

* Sun Aug 28 2011 fwang <fwang> 0.100.0-5.mga2
+ Revision: 135831
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.100.0-4.mga2
+ Revision: 104477
- Rebuild for perl-5.14.0

* Mon Jan 24 2011 jquelin <jquelin> 0.100.0-3.mga1
+ Revision: 36338
- mageia rebuild
- imported package perl-Gtk2-SourceView2

